import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/settings/center/controller.dart';

class AboutPage extends StatelessWidget {
  final controller = Get.find<SettingCenterController>();

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Icon(
          Icons.home_work_rounded,
          size: 50,
        ),
        const SizedBox(height: 10),
        Obx(
          () => Text(
            "当前版本：${controller.state.currentVersion}",
            style: const TextStyle(color: Colors.black, fontSize: 18),
          ),
        ),
        const SizedBox(height: 20),
        Obx(
          () => Text(
            "设备编号：${controller.state.deviceId}",
            style: const TextStyle(color: Colors.black, fontSize: 18),
          ),
        ),
      ],
    );
  }
}
